JobManager
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.db.managers
Class JobManager

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.SubmittedManager
          org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.JobManager

    public class JobManager

extends SubmittedManager

Field Summary
`static java.lang.String` | `selectedSpecies`
`static java.lang.String` | `selectedSpeciesIsCustomized`
`static java.lang.String` | `selectedSpeciesJobId`
`static java.lang.String` | `selectedSpeciesSpeciesID`
`static java.lang.String` | `selectedSpeciesStatus`
`static java.lang.String` | `tempFolders`
`static java.lang.String` | `tempFoldersFolderName`
`static java.lang.String` | `tempFoldersJobId`
`static java.lang.String` | `toDropTables`
`static java.lang.String` | `toDropTablesJobId`
`static java.lang.String` | `toDropTablesTableName`

Constructor Summary
`JobManager()`

Method Summary
`static void` | `addToDeleteTempFolder(int jobId, java.lang.String folderName)`
`static void` | `addToDropTableList(int jobId, java.lang.String tableName)`
`static void` | `cleanTemp(int jobId)`
`static java.util.List<Submitted>` | `getObjects(int jobId)`
`static java.lang.String[]` | `getSpeciesByStatus(int jobId, SpeciesStatus status)`
`static java.lang.String` | `getWorkingHCAF(int submittedId)`
`static java.lang.String` | `getWorkingHSPEC(int submittedId)`
`static java.lang.String` | `getWorkingHSPEN(int submittedId)`
`static Job` | `insertNewJob(Job toPerform)` Creates a new entry in Job table and AquaMap table (for every aquamap object in job)
`static boolean` | `isJobComplete(int jobId)`
`static boolean` | `isSpeciesListReady(int jobId, java.util.Set<java.lang.String> toCheck)`
`static boolean` | `isSpeciesSetCustomized(int submittedId, java.util.Set<java.lang.String> ids)`
`static void` | `setWorkingHCAF(int submittedId, java.lang.String tableName)`
`static void` | `setWorkingHSPEC(int submittedId, java.lang.String tableName)`
`static void` | `setWorkingHSPEN(int submittedId, java.lang.String tableName)`
`static void` | `updateSpeciesStatus(int jobId, java.lang.String[] speciesId, SpeciesStatus status)`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.impl.db.managers.SubmittedManager
`delete, deleteFromTables, getAuthor, getCount, getGisId, getHCAFTableId, getHSPECTableId, getHSPENTableId, getJsonList, getList, getList, getStatus, getSubmittedById, insertInTable, isAquaMap, isGIS, markSaved, setGisPublishedId, setSerializedPath, setStartTime, update, updateGISData, updateStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### toDropTables

    public static final java.lang.String toDropTables

See Also:
  Constant Field Values

### toDropTablesJobId

    public static final java.lang.String toDropTablesJobId

### toDropTablesTableName

    public static final java.lang.String toDropTablesTableName

See Also:
  Constant Field Values

### tempFolders

    public static final java.lang.String tempFolders

See Also:
  Constant Field Values

### tempFoldersJobId

    public static final java.lang.String tempFoldersJobId

### tempFoldersFolderName

    public static final java.lang.String tempFoldersFolderName

See Also:
  Constant Field Values

### selectedSpecies

    public static final java.lang.String selectedSpecies

See Also:
  Constant Field Values

### selectedSpeciesStatus

    public static final java.lang.String selectedSpeciesStatus

### selectedSpeciesJobId

    public static final java.lang.String selectedSpeciesJobId

### selectedSpeciesSpeciesID

    public static final java.lang.String selectedSpeciesSpeciesID

### selectedSpeciesIsCustomized

    public static final java.lang.String selectedSpeciesIsCustomized

See Also:
  Constant Field Values

Constructor Detail

### JobManager

    public JobManager()

Method Detail

### setWorkingHCAF

    public static void setWorkingHCAF(int submittedId,
                                      java.lang.String tableName)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setWorkingHSPEN

    public static void setWorkingHSPEN(int submittedId,
                                       java.lang.String tableName)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setWorkingHSPEC

    public static void setWorkingHSPEC(int submittedId,
                                       java.lang.String tableName)
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getWorkingHCAF

    public static java.lang.String getWorkingHCAF(int submittedId)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getWorkingHSPEN

    public static java.lang.String getWorkingHSPEN(int submittedId)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getWorkingHSPEC

    public static java.lang.String getWorkingHSPEC(int submittedId)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addToDropTableList

    public static void addToDropTableList(int jobId,
                                          java.lang.String tableName)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addToDeleteTempFolder

    public static void addToDeleteTempFolder(int jobId,
                                             java.lang.String folderName)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### updateSpeciesStatus

    public static void updateSpeciesStatus(int jobId,
                                           java.lang.String[] speciesId,
                                           SpeciesStatus status)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSpeciesByStatus

    public static java.lang.String[] getSpeciesByStatus(int jobId,
                                                        SpeciesStatus status)
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isJobComplete

    public static boolean isJobComplete(int jobId)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### cleanTemp

    public static void cleanTemp(int jobId)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isSpeciesListReady

    public static boolean isSpeciesListReady(int jobId,
                                             java.util.Set<java.lang.String> toCheck)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isSpeciesSetCustomized

    public static boolean isSpeciesSetCustomized(int submittedId,
                                                 java.util.Set<java.lang.String> ids)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### insertNewJob

    public static Job insertNewJob(Job toPerform)
                            throws java.lang.Exception

  Creates a new entry in Job table and AquaMap table (for every aquamap object in job)

  Returns:
    new job id
  Throws:
    `java.lang.Exception`

### getObjects

    public static java.util.List<Submitted> getObjects(int jobId)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD